#!/bin/sh

a="ode_iterations"
xmgr.x -noask -free -eps \
  -block history.log -bxy 1:24 \
  -block history.log -bxy 1:25 \
  -block history.log -bxy 1:26 \
  -par ${a}.par \
  -device 2 -printfile ${a}.eps -pexec "hardcopy" \
&

a="reaction_rates"
xmgr.x -noask -free -eps \
  -block trans.data00 -bxy 1:29 \
  -block trans.data00 -bxy 1:30 \
  -block trans.data01 -bxy 1:2 \
  -block trans.data01 -bxy 1:3 \
  -block trans.data01 -bxy 1:4 \
  -block trans.data01 -bxy 1:5 \
  -block trans.data01 -bxy 1:6 \
  -block trans.data01 -bxy 1:7 \
  -block trans.data01 -bxy 1:8 \
  -par ${a}.par \
  -device 2 -printfile ${a}.eps -pexec "hardcopy" \
&

a="gas_mass_fractions_at_outlet"
xmgr.x -noask -free -eps \
  -block FLUXBC_outlet_pressure_gasSpc000_006 -bxy 1:2 \
  -block FLUXBC_outlet_pressure_gasSpc000_006 -bxy 1:3 \
  -block FLUXBC_outlet_pressure_gasSpc000_006 -bxy 1:4 \
  -block FLUXBC_outlet_pressure_gasSpc000_006 -bxy 1:5 \
  -block FLUXBC_outlet_pressure_gasSpc000_006 -bxy 1:6 \
  -block FLUXBC_outlet_pressure_gasSpc000_006 -bxy 1:7 \
  -block FLUXBC_outlet_pressure_gasSpc000_006 -bxy 1:8 \
  -par ${a}.par \
  -device 2 -printfile ${a}.eps -pexec "hardcopy" \
&

sleep 3

for f in *eps; do
  convert -flatten -quality 100 -density 120 $f ${f/eps/png}
done
